Subject: RE: [Tsvwg] Nits in draft-ietf-tsvwg-rsvp-dste-02

From: "Francois Le Faucheur \(flefauch\)" <[email-masked]>
Date: Sun, 18 Jun 2006 22:06:31 +0200

Hello,
Just submitted an updated version (draft-ietf-tsvwg-rsvp-dste-03) for
posting on IETF server.
It should address all these nits (barring a few minor warnings like "too
long lines" and "form feed character missing") which I couldn't get
straight with my current template (before running to the TV to see the
final minutes of tonight's World Cup match).
Hope that will be OK.
Cheers
Francois

>> -----Original Message-----
>> From: Magnus Westerlund [mailto:[email-masked]] 
>> Sent: mercredi 14 juin 2006 16:35
>> To: Magnus Westerlund
>> Cc: Francois Le Faucheur (flefauch); Michael DiBiasio 
>> (dibiasio); Bruce Davie (bdavie); [email-masked]; 
>> [email-masked]; [email-masked]; [email-masked]; 
>> Lars Eggert; James Polk (jmpolk); tsvwg
>> Subject: Re: [Tsvwg] Nits in draft-ietf-tsvwg-rsvp-dste-01
>> 
>> Hi,
>> 
>> Sorry for the wrong title. I did actually comment on 02.
>> 
>> /Magnus
>> 
>> Magnus Westerlund wrote:
>> > Hi,
>> > 
>> > In doing the PROTO writeup of 
>> draft-ietf-tsvwg-rsvp-dste-01 I did notice
>> > a few things that we need to fix before being possible to 
>> forward to the
>> > AD.
>> > 
>> > 1. First of all the draft results in both 3 NITS and 
>> several warnings
>> > when run through the latest ID-nits checker. I do 
>> encourage all authors
>> > to run ID-nits (http://tools.ietf.org/tools/idnits/) 
>> before submitting
>> > their draft. The nits reported are:
>> > 
>> >   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>> >   * The document seems to lack an Authors' Addresses Section.
>> > 
>> >     Checking conformance with RFC 3978/3979 boilerplate...
>> > 
>> >     the boilerplate looks good.
>> > 
>> >   * The document is more than 15 pages and seems to lack a Table of
>> >     Contents.
>> >   * There are 6 instances of too long lines in the 
>> document, the longest
>> >     one being 1 character in excess of 72.
>> > 
>> >   Checking nits according to 
>> http://www.ietf.org/ietf/1id-guidelines.txt:
>> >   - It seems as if not all pages are separated by form 
>> feeds - found 0 form
>> >     feeds but 29 pages
>> > 
>> >   Miscellaneous warnings:
>> >   - The copyright year in the RFC 3978 Section 5.4 
>> Copyright around line
>> >     1175 does not match the year around line 62
>> > 
>> >   Experimental warnings:
>> >   - Missing Reference: [RFC2205] is mentioned on line 595, 
>> but not defined
>> > 
>> >   - Unused Reference: [SIP-RSVP] is defined on line 1076, but not
>> > referenced
>> >   - Unused Reference: [BCP-78] is defined on line 995, but 
>> not referenced
>> >   - Unused Reference: [RFC3668] is defined on line 992, 
>> but not referenced
>> > 
>> >     Summary: 3 nits, 6 warnings
>> > 
>> > I would like to have these fixed.
>> > 
>> > 2. The number of authors on the front side. The RFC-editor 
>> do have the
>> > following statement on this:
>> > http://www.rfc-editor.org/policy.html#policy.authlist
>> > 
>> > Can the now listed authors please agree on which are 
>> authors and which
>> > are contributors. The RFC-editor has also an clarification on this:
>> > http://www.rfc-editor.org/policy.html#policy.auth2
>> > 
>> > I do like to have no more than 5 names on the front page. 
>> This is not to
>> > reduce the impression of your contribution. It is 
>> primarily a practical
>> > matter on how many the PROTO-shepherd, the AD and the 
>> RFC-editor will
>> > need to communicate with.
>> > 
>> > 3. Page 3: third paragraph:
>> > "[RSVP-TE] specifies how such MPLS TE Tunnels can
>> >    be established using RSVP-TE signaling. . "
>> > Extra ".".
>> > 
>> > 4. Page 5:
>> > - We have assumed in the current draft that a given MPLS-TE
>> >         tunnel will carry reserved traffic and nothing but reserved
>> >         traffic, which negates the requirement of RFC 2746 to
>> >         distinguish reserved and non-reserved traffic 
>> traversing the
>> >         same tunnel by using distinct encapsulations.
>> > 
>> > I think you should change "the current draft" to "this 
>> document". There
>> > more such occurances using the word draft. Please address these.
>> > 
>> > 5. Section 1.1. Please remove this section. It has not 
>> further usage
>> > when the document being forward to the IESG.
>> > 
>> > 6. Section 3.4:
>> > "As with [LSP-HIER], the IP TTL vs. RSVP TTL check MUST 
>> not be made."
>> > 
>> > s/MUST not/MUST NOT
>> > 
>> > 
>> > So please fix these nits so that we can progress this document.
>> > 
>> > Cheers
>> > 
>> > Magnus Westerlund
>> > 
>> > Multimedia Technologies, Ericsson Research EAB/TVA/A
>> > 
>> -------------------------------------------------------------
>> ---------
>> > Ericsson AB                | Phone +46 8 4048287
>> > Torshamsgatan 23           | Fax   +46 8 7575550
>> > S-164 80 Stockholm, Sweden | mailto: [email-masked]
>> > 
>> > 
>> > 
>> 
>> 
>> -- 
>> 
>> Magnus Westerlund
>> 
>> Multimedia Technologies, Ericsson Research EAB/TVA/A
>> -------------------------------------------------------------
>> ---------
>> Ericsson AB                | Phone +46 8 4048287
>> Torshamsgatan 23           | Fax   +46 8 7575550
>> S-164 80 Stockholm, Sweden | mailto: [email-masked]
>>

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 27 Jun 2006 14:24:32 +0200

> final minutes of tonight's World Cup match).

Thanks for the quick addressing of the issues.

We have requested the publication of this document. I will be the 
responsible AD and James the WG chair shepherd.

Cheers

Magnus Westerlund

----------------------------------------------------------------------